> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Companies

> Retrieve a paginated list of companies within your organization



## OpenAPI

````yaml v1/openapi.json get /api/v1/companies
openapi: 3.1.0
info:
  title: EDM API
  version: 1.0.0
  description: >-
    This API is built from TypeScript source code and uses common types defined
    in your shared files. It exposes endpoints for migration workflows, file
    management, and migration modal creation.
servers:
  - url: https://worker.anon.com
security:
  - bearerAuth: []
paths:
  /api/v1/companies:
    get:
      tags:
        - Companies
      summary: List Companies
      description: Retrieve a paginated list of companies within your organization
      operationId: api.v1.companies.list
      parameters:
        - name: page
          in: query
          required: false
          description: Page number for pagination (starts at 1)
          schema:
            type: number
            minimum: 1
            default: 1
        - name: page_size
          in: query
          required: false
          description: Number of companies per page (max 100)
          schema:
            type: number
            minimum: 1
            maximum: 100
            default: 30
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCompaniesResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
components:
  schemas:
    PaginatedCompaniesResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/CompanyResponse'
        page:
          $ref: '#/components/schemas/PaginationMeta'
      required:
        - results
        - page
      additionalProperties: false
    APIErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - api_error
        message:
          type: string
      required:
        - type
        - message
      additionalProperties: false
    CompanyResponse:
      type: object
      properties:
        object:
          type: string
          enum:
            - company
        id:
          type: string
          format: uuid
          description: Unique identifier for the company
        created:
          type: string
          format: date-time
          description: Timestamp when the company was created
        provider_company_name:
          type: string
          description: Name of the company in the source provider's system
        provider_company_id:
          type: string
          description: >-
            ID in source provider's system (e.g., Gusto slug, Quickbooks
            accountId)
        organization_id:
          type:
            - string
            - 'null'
          format: uuid
          description: Unique identifier for the organization
        source_provider:
          type: string
          description: Source provider for this company
      required:
        - object
        - id
        - created
        - provider_company_name
        - provider_company_id
        - organization_id
        - source_provider
      additionalProperties: false
    PaginationMeta:
      type: object
      properties:
        size:
          type: number
        total:
          type: number
      required:
        - size
        - total
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````